For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
      • GETGet custom rules
      • POSTCreate custom rule
      • GETGet rule by ID
      • PUTUpdate rule by ID
      • PATCHUpdate field by rule ID
      • DELDelete rule by ID
      • Custom rule operators and conditions
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Bot Defender APICustom Rules

Get rule by ID

GET
/v2/botDefender/customRules/:ruleId
GET
/api/v2/botDefender/customRules/:ruleId
$curl https://console.humansecurity.com/api/v2/botDefender/customRules/a747610a-e1d6-4e50-bc60-04c8787ac7b8 \
> -H "Authorization: Bearer <token>"
1{
2 "result": true,
3 "message": "success",
4 "content": {
5 "name": "string",
6 "conditions": {
7 "operator": "$or",
8 "children": [
9 {
10 "operator": "$or",
11 "children": [
12 {
13 "operator": "$eq",
14 "conditionType": "userAgent",
15 "value": "string",
16 "fieldOption": "string"
17 }
18 ]
19 }
20 ]
21 },
22 "actions": [
23 "allow"
24 ],
25 "status": "active",
26 "ruleId": "a747610a-e1d6-4e50-bc60-04c8787ac7b8",
27 "priority": 1,
28 "description": "string"
29 }
30}
Get information about a rule by the rule's ID.
Was this page helpful?
Previous

Update rule by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ruleIdstringRequired

The ID for the rule. You can get this from the get custom rules endpoint or from the Portal’s Policy Settings.

Response

Success
resultboolean
messagestring
contentobject

Errors

400
Bad Request Error